Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# TAO_IMR_Op_Register Class Reference

Register Operation. More...

`#include <tao_imr_i.h>`

Inheritance diagram for TAO_IMR_Op_Register:

[legend]
Collaboration diagram for TAO_IMR_Op_Register:

[legend]
List of all members.

## Public Member Functions
| TAO_IMR_Op_Register (bool is_add)
virtual int | parse (int argc, ACE_TCHAR **argv)
virtual int | run (void)
| Do the work.
## Protected Member Functions
void | addenv (ACE_TCHAR *opt)
| Sets one environment variable.
void | print_usage (void)
| Prints a message about the usage.
## Protected Attributes
bool | is_add_
| Enables pre-registration checks.
ACE_CString | server_name_
| POA server name.
bool | set_command_line_
ACE_CString | command_line_
bool | set_environment_vars_
ImplementationRepository::EnvironmentList | environment_vars_
bool | set_working_dir_
ACE_CString | working_dir_
bool | set_activation_
ImplementationRepository::ActivationMode | activation_
bool | set_retry_count_
int | retry_count_
bool | set_activator_
ACE_CString | activator_

## Detailed Description

Register Operation.

Register is used to update/add information for a server with the IMR.

## Constructor & Destructor Documentation

TAO_IMR_Op_Register::TAO_IMR_Op_Register | ( | bool | is_add | ) |

## Member Function Documentation

void TAO_IMR_Op_Register::addenv | ( | ACE_TCHAR * | opt | ) | `[protected]`

| Sets one environment variable.

int TAO_IMR_Op_Register::parse | ( | int | argc,
|  | ACE_TCHAR ** | argv
| ) | `[virtual]`

| hostname of the activator Implements TAO_IMR_Op.

void TAO_IMR_Op_Register::print_usage | ( | void |  | ) | `[protected]`

| Prints a message about the usage.

int TAO_IMR_Op_Register::run | ( | void |  | ) | `[virtual]`

| Do the work. Implements TAO_IMR_Op.

## Member Data Documentation

ImplementationRepository::ActivationMode TAO_IMR_Op_Register::activation_`[protected]`

ACE_CString TAO_IMR_Op_Register::activator_`[protected]`

ACE_CString TAO_IMR_Op_Register::command_line_`[protected]`

ImplementationRepository::EnvironmentList TAO_IMR_Op_Register::environment_vars_`[protected]`

bool TAO_IMR_Op_Register::is_add_`[protected]`

| Enables pre-registration checks.

int TAO_IMR_Op_Register::retry_count_`[protected]`

ACE_CString TAO_IMR_Op_Register::server_name_`[protected]`

| POA server name.

bool TAO_IMR_Op_Register::set_activation_`[protected]`

bool TAO_IMR_Op_Register::set_activator_`[protected]`

bool TAO_IMR_Op_Register::set_command_line_`[protected]`

bool TAO_IMR_Op_Register::set_environment_vars_`[protected]`

bool TAO_IMR_Op_Register::set_retry_count_`[protected]`

bool TAO_IMR_Op_Register::set_working_dir_`[protected]`

ACE_CString TAO_IMR_Op_Register::working_dir_`[protected]`

The documentation for this class was generated from the following files:

- tao_imr_i.h
- tao_imr_i.cpp